name: flutter_common
description: A new Flutter package project.
version: 0.0.1
publish_to: "none"

environment:
  sdk: ">=3.7.0 <4.0.0"
  flutter: "^3.27.0"

dependencies:
  flutter:
    sdk: flutter
  intl: any
  ionicons: ^0.2.2
  latlong2: ^0.9.1
  generic_map: ^0.10.1
  flutter_localizations:
    sdk: flutter
  cached_network_image: ^3.4.1
  dotted_border: ^3.0.1
  image_picker: ^1.1.2
  collection: ^1.19.1
  pinput: ^5.0.2
  flutter_dotenv: ^6.0.0
  auto_route: any # Navigator's pop function is not working properly with auto_route navigation
  better_localization:
    path: ../flutter_localizations
  dlibphonenumber: ^1.1.47

dev_dependencies:
  flutter_test:
    sdk: flutter
  build_runner: ^2.7.1
  flutter_lints: ^6.0.0
  flutter_gen_runner: ^5.11.0
  flutter_gen: ^5.11.0

flutter:
  generate: true

  assets:
    - assets/avatars/
    - assets/images/
    - assets/map_previews/

flutter_gen:
  assets:
    outputs:
      package_parameter_enabled: true
  integrations:
    lottie: true
